%define name 	bakery
%define version 2.3.15
%define release 1mdk

%define major 	2.3_15
%define libname %mklibname %name %major

Summary: 	C++ Framework for Document-based GNOME applications
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://bakery.sourceforge.net/
License: 	GPL
Group: 		System/Libraries
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRequires:	gtkmm2.4-devel gconfmm2.6-devel libglademm-devel >= 2.4 
BuildRequires:	libxml++-devel >= 2.6 gnome-vfsmm2.6-devel
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n	%libname
Group:		System/Libraries
Summary:	C++ Framework for document-based GNOME applications

%description -n %libname
A C++ Framework for Document-based GNOME applications, using gtkmm. It allows
use of the Document/View architecture.

%package -n %libname-devel
Group:          Development/C++
Summary:        Static libraries and header files from %name
Provides:       %name-devel = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	libbakery2.3-devel = %version-%release
Requires:       %libname = %version

%description -n %libname-devel
Static libraries and headers from %name.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc docs/*.html
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/*.pc
%_includedir/%name-2.4/%name/*

%changelog
* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 2.3.15-1mdk
- new major
- drop patch
- New release 2.3.15

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 2.3.14-2mdk
- fix for gcc 4.0

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.3.14-1mdk
- New release 2.3.14

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.3.13-2mdk
- fix deps

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.13-1mdk
- new major
- New release 2.3.13

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.12-1mdk
- new major
- New release 2.3.12

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.11-3mdk 
- Rebuild with latest howl

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.11-2mdk
- rebuild for new libxml++

* Thu Dec  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.11-1mdk
- New release 2.3.11

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.10-1mdk
- new major
- New release 2.3.10

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.9-1mdk
- new major
- New release 2.3.9

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.8-1mdk
- increase major
- fix buildrequires
- add source URL
- New release 2.3.8

* Thu Jul 15 2004 Austin Acton <austin@mandrake.org> 2.3.5-1mdk
- initial release

